bug-autoconf
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: which sed version is needed that autoconf (config.status) works at a


From: Akim Demaille
Subject: Re: which sed version is needed that autoconf (config.status) works at all
Date: 13 Sep 2001 18:44:56 +0200
User-agent: Gnus/5.0808 (Gnus v5.8.8) XEmacs/21.4 (Artificial Intelligence)

| 
| Hi Akim,
| 
| thanks a lot for the very prompt reply.

You're welcome.  Please, never drop the lists.

See my answer below.  I kept the content for the archive.


| >>>>>>"Stefan" == Stefan Kost <address@hidden> writes:
| >>>>>>
| > Stefan> hi hi, I recently switched to autoconf 2.52/automake
| 
| > Stefan> 1.5. since that I have lots of problems.  The biggest is that
| > Stefan> at the end of running configure, config.status is called and
| > Stefan> this works through a long sed list (CONFIG_FILES).  There it
| > Stefan> break. depending on which sed I use with various error.  Can
| > you send the offending config.status?  Together with the error
| 
| > messages.  Thanks.
| 
| the file config.status is attached and here is the output :
| 
| sed: file /tmp/cs29130-/subs-2.sed line 51: Unterminated `s' command
| sed: file /tmp/cs29130-/subs-3.sed line 3: Unknown command: ``(''
| sed: file /tmp/cs29130-/subs-3.sed line 3: Unknown command: ``(''
| sed: file /tmp/cs29130-/subs-2.sed line 51: Unterminated `s' command
| sed: file /tmp/cs29130-/subs-3.sed line 3: Unknown command: ``(''
| sed: file /tmp/cs29130-/subs-2.sed line 51: Unterminated `s' command
| sed: file /tmp/cs29130-/subs-3.sed line 3: Unknown command: ``(''
| sed: file /tmp/cs29130-/subs-2.sed line 51: Unterminated `s' command
| 
| 
| > Did you run the test suite?
| 
| 
| I have started them now. Here is is the result:
| ....
| erm, they take quite long. I'll send you another mail if one or more tests 
fail.
| until now I reached 62 and everything is fine.
| 
| 
| > Stefan> Further it would realy be wonderful if you could readd the
| 
| > Stefan> feature that the used configure invokation is repeated as a
| > Stefan> comment atthe very top of the file, so that I can easily check
| > Stefan> that with head config.status, when I build a new version of
| > Stefan> the package.
| > Err?
| 
| 
| ok. understood. instead of "head config.status" I can now invoke it with 
--version.
| > ~/src/ace % ./config.status --version
| > nostromo 17:16
| 
| > GNU Autoconf config.status 2.52e
| > configured by ./configure, generated by GNU Autoconf 2.52e,
| >   with options ""
| > Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
| 
| > Free Software Foundation, Inc.
| > This config.status script is free software; the Free Software Foundation
| > gives unlimited permission to copy, distribute and modify it.
| >
| 
| 
| Ciao
|    Stefan
| -- 
|        \|/
|       <@ @> Stefan Kost  private                   business
| +-oOO-(_)-OOo------------------------------------------------------------- - 
- -  -   -
| |        __    Address  Zwenkauer Str. 24         HTWK Leipzig, Fb IMN, 
Postfach 300066
| |       ///             04277 Leipzig             04277 Leipzig
| |  __  ///              Germany                   Germany
| |  \\\///      Phone    +49341 3910483            +49341 3076101
| |   \__/       EMail    address@hidden           address@hidden
| |              WWW      http://www.sonicpulse.de  
http://www.imn.htwk-leipzig.de/~kost/about.html
| ===-=-=--=---=---------------------------------- - - -  -    -
| #! /bin/sh
| # Generated automatically by configure.
| # Run this file to recreate the current configuration.
| # Compiler output produced by configure, useful for debugging
| # configure, is in config.log if it exists.
| 
| debug=false
| SHELL=${CONFIG_SHELL-/bin/sh}
| ac_cs_invocation="$0 $@"
| 
| # Be Bourne compatible
| if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
|   emulate sh
|   NULLCMD=:
| elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
|   set -o posix
| fi
| 
| # Name of the executable.
| as_me=`echo "$0" |sed 's,.*[\\/],,'`
| 
| if expr a : '\(a\)' >/dev/null 2>&1; then
|   as_expr=expr
| else
|   as_expr=false
| fi
| 
| rm -f conf$$ conf$$.exe conf$$.file
| echo >conf$$.file
| if ln -s conf$$.file conf$$ 2>/dev/null; then
|   # We could just check for DJGPP; but this test a) works b) is more generic
|   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
|   if test -f conf$$.exe; then
|     # Don't use ln at all; we don't have any links
|     as_ln_s='cp -p'
|   else
|     as_ln_s='ln -s'
|   fi
| elif ln conf$$.file conf$$ 2>/dev/null; then
|   as_ln_s=ln
| else
|   as_ln_s='cp -p'
| fi
| rm -f conf$$ conf$$.exe conf$$.file
| 
| as_executable_p="test -f"
| 
| # Support unset when possible.
| if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
|   as_unset=unset
| else
|   as_unset=false
| fi
| 
| # NLS nuisances.
| $as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
| $as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; 
}
| $as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export 
LC_TIME; }
| $as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export 
LC_CTYPE; }
| $as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export 
LANGUAGE; }
| $as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; 
export LC_COLLATE; }
| $as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; 
export LC_NUMERIC; }
| $as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; 
export LC_MESSAGES; }
| 
| # IFS
| # We need space, tab and new line, in precisely that order.
| as_nl='
| '
| IFS="         $as_nl"
| 
| # CDPATH.
| $as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; 
}
| 
| exec 6>&1
| 
| config_files=" Makefile intl/Makefile po/Makefile.in gitkHelloUser_main.giml"
| config_headers=" config.h"
| config_links=" "
| config_commands=" default-1 default-2 default-3"
| 
| ac_cs_usage="\
| \`$as_me' instantiates files from templates according to the
| current configuration.
| 
| Usage: $0 [OPTIONS] [FILE]...
| 
|   -h, --help       print this help, then exit
|   -V, --version    print version number, then exit
|   -d, --debug      don't remove temporary files
|       --recheck    update $as_me by reconfiguring in the same conditions
|   --file=FILE[:TEMPLATE]
|                    instantiate the configuration file FILE
|   --header=FILE[:TEMPLATE]
|                    instantiate the configuration header FILE
| 
| Configuration files:
| $config_files
| 
| Configuration headers:
| $config_headers
| 
| Configuration links:
| $config_links
| 
| Configuration commands:
| $config_commands
| 
| Report bugs to <address@hidden>."
| ac_cs_version="\
| config.status
| configured by ./configure, generated by GNU Autoconf 2.52,
|   with options \"--prefix=/opt/gitk --with-gnu-ld --enable-debug=yes 
--with-gitk-prefix=/opt/gitk\"
| 
| Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
| Free Software Foundation, Inc.
| This config.status script is free software; the Free Software Foundation
| gives unlimited permission to copy, distribute and modify it."
| srcdir=.
| INSTALL="/opt/bin/install -c"
| # If no file are specified by the user, then we need to provide default
| # value.  By we need to know if files were specified by the user.
| ac_need_defaults=:
| while test $# != 0
| do
|   case $1 in
|   --*=*)
|     ac_option=`expr "x$1" : 'x\([^=]*\)='`
|     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
|     shift
|     set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
|     shift
|     ;;
|   -*);;
|   *) # This is not an option, so the user has probably given explicit
|      # arguments.
|      ac_need_defaults=false;;
|   esac
| 
|   case $1 in
|   # Handling of the options.
|   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
|     echo "running /bin/sh ./configure " --prefix=/opt/gitk --with-gnu-ld 
--enable-debug=yes --with-gitk-prefix=/opt/gitk " --no-create --no-recursion"
|     exec /bin/sh ./configure --prefix=/opt/gitk --with-gnu-ld 
--enable-debug=yes --with-gitk-prefix=/opt/gitk --no-create --no-recursion ;;
|   --version | --vers* | -V )
|     echo "$ac_cs_version"; exit 0 ;;
|   --he | --h)
|     # Conflict between --help and --header
|     { { echo "$as_me:10762: error: ambiguous option: $1
| Try \`$0 --help' for more information." >&5
| echo "$as_me: error: ambiguous option: $1
| Try \`$0 --help' for more information." >&2;}
|    { (exit 1); exit 1; }; };;
|   --help | --hel | -h )
|     echo "$ac_cs_usage"; exit 0 ;;
|   --debug | --d* | -d )
|     debug=: ;;
|   --file | --fil | --fi | --f )
|     shift
|     CONFIG_FILES="$CONFIG_FILES $1"
|     ac_need_defaults=false;;
|   --header | --heade | --head | --hea )
|     shift
|     CONFIG_HEADERS="$CONFIG_HEADERS $1"
|     ac_need_defaults=false;;
| 
|   # This is an error.
|   -*) { { echo "$as_me:10781: error: unrecognized option: $1
| Try \`$0 --help' for more information." >&5
| echo "$as_me: error: unrecognized option: $1
| Try \`$0 --help' for more information." >&2;}
|    { (exit 1); exit 1; }; } ;;
| 
|   *) ac_config_targets="$ac_config_targets $1" ;;
| 
|   esac
|   shift
| done
| 
| exec 5>>config.log
| cat >&5 << _ACEOF
| 
| ## ----------------------- ##
| ## Running config.status.  ##
| ## ----------------------- ##
| 
| This file was extended by $as_me 2.52, executed with
|   CONFIG_FILES    = $CONFIG_FILES
|   CONFIG_HEADERS  = $CONFIG_HEADERS
|   CONFIG_LINKS    = $CONFIG_LINKS
|   CONFIG_COMMANDS = $CONFIG_COMMANDS
|   > $ac_cs_invocation
| on `(hostname || uname -n) 2>/dev/null | sed 1q`
| 
| _ACEOF
| #
| # INIT-COMMANDS section.
| #
| 
| AMDEP_TRUE=""
| ac_aux_dir="."
| XML_I18N_TOOLS_PERL=/bin/perl
| 
| for ac_config_target in $ac_config_targets
| do
|   case "$ac_config_target" in
|   # Handling of arguments.
|   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
|   "intl/Makefile" ) CONFIG_FILES="$CONFIG_FILES intl/Makefile" ;;
|   "po/Makefile.in" ) CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
|   "gitkHelloUser_main.giml" ) CONFIG_FILES="$CONFIG_FILES 
gitkHelloUser_main.giml" ;;
|   "$ac_config_links_1" ) CONFIG_LINKS="$CONFIG_LINKS $ac_config_links_1" ;;
|   "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
|   "default-2" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-2" ;;
|   "default-3" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-3" ;;
|   "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
|   *) { { echo "$as_me:10836: error: invalid argument: $ac_config_target" >&5
| echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
|    { (exit 1); exit 1; }; };;
|   esac
| done
| 
| # If the user did not use the arguments to specify the items to instantiate,
| # then the envvar interface is used.  Set only those that are not.
| # We use the long form for the default assignment because of an extremely
| # bizarre bug on SunOS 4.1.3.
| if $ac_need_defaults; then
|   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
|   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
|   test "${CONFIG_LINKS+set}" = set || CONFIG_LINKS=$config_links
|   test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
| fi
| 
| # Create a temporary directory, and hook for its removal unless debugging.
| $debug ||
| {
|   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
|   trap '{ (exit 1); exit 1; }' 1 2 13 15
| }
| 
| # Create a (secure) tmp directory for tmp files.
| : ${TMPDIR=/tmp}
| {
|   tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
|   test -n "$tmp" && test -d "$tmp"
| }  ||
| {
|   tmp=$TMPDIR/cs$$-$RANDOM
|   (umask 077 && mkdir $tmp)
| } ||
| {
|    echo "$me: cannot create a temporary directory in $TMPDIR" >&2
|    { (exit 1); exit 1; }
| }
| 
| 
| #
| # CONFIG_FILES section.
| #
| 
| # No need to generate the scripts if there are no CONFIG_FILES.
| # This happens for instance when ./config.status config.h
| if test -n "$CONFIG_FILES"; then
|   # Protect against being on the right side of a sed subst in config.status.
|   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
|    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
| s,@SHELL@,/bin/sh,;t t
| s,@exec_prefix@,${prefix},;t t
| s,@prefix@,/opt/gitk,;t t
| s,@program_transform_name@,s,x,x,,;t t
| s,@bindir@,${exec_prefix}/bin,;t t
| s,@sbindir@,${exec_prefix}/sbin,;t t
| s,@libexecdir@,${exec_prefix}/libexec,;t t
| s,@datadir@,${prefix}/share,;t t
| s,@sysconfdir@,${prefix}/etc,;t t
| s,@sharedstatedir@,${prefix}/com,;t t
| s,@localstatedir@,${prefix}/var,;t t
| s,@libdir@,${exec_prefix}/lib,;t t
| s,@includedir@,${prefix}/include,;t t
| s,@oldincludedir@,/usr/include,;t t
| s,@infodir@,${prefix}/info,;t t
| s,@mandir@,${prefix}/man,;t t
| s,@PACKAGE_NAME@,,;t t
| s,@PACKAGE_TARNAME@,,;t t
| s,@PACKAGE_VERSION@,,;t t
| s,@PACKAGE_STRING@,,;t t
| s,@PACKAGE_BUGREPORT@,,;t t
| s,@build_alias@,,;t t
| s,@host_alias@,,;t t
| s,@target_alias@,,;t t
| s,@ECHO_C@,\c,;t t
| s,@ECHO_N@,,;t t
| s,@ECHO_T@,,;t t
| s,@PATH_SEPARATOR@,:,;t t
| s,@DEFS@,-DHAVE_CONFIG_H,;t t
| s,@LIBS@,,;t t
| s,@build@,sparc-sun-solaris2.6,;t t
| s,@build_cpu@,sparc,;t t
| s,@build_vendor@,sun,;t t
| s,@build_os@,solaris2.6,;t t
| s,@host@,sparc-sun-solaris2.6,;t t
| s,@host_cpu@,sparc,;t t
| s,@host_vendor@,sun,;t t
| s,@host_os@,solaris2.6,;t t
| s,@GITKEXAMPLES_MAJOR_VERSION@,0,;t t
| s,@GITKEXAMPLES_MINOR_VERSION@,0,;t t
| s,@GITKEXAMPLES_MICRO_VERSION@,1,;t t
| s,@GITKEXAMPLES_VERSION@,0.0.1,;t t
| s,@GITKEXAMPLES_VERSION_NUMBER@,1,;t t
| s,@INSTALL_PROGRAM@,${INSTALL},;t t
| s,@INSTALL_SCRIPT@,${INSTALL},;t t
| s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
| s,@PACKAGE@,gitk-examples,;t t
| s,@VERSION@,0.0.1,;t t
| s,@EXEEXT@,,;t t
| s,@OBJEXT@,o,;t t
| s,@ACLOCAL@,aclocal,;t t
| s,@AUTOCONF@,autoconf,;t t
| s,@AUTOMAKE@,automake,;t t
| s,@AUTOHEADER@,autoheader,;t t
| s,@MAKEINFO@,makeinfo,;t t
| s,@AMTAR@,tar,;t t
| s,@install_sh@,/home/ensonic/source/promo-dev/gitk-examples/install-sh,;t t
| s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
| s,@AWK@,nawk,;t t
| s,@SET_MAKE@,,;t t
| s,@AMDEP_TRUE@,,;t t
| s,@AMDEP_FALSE@,#,;t t
| s,@AMDEPBACKSLASH@,\,;t t
| s,@DEPDIR@,.deps,;t t
| s,@localedir@,${prefix}/${DATADIRNAME}/locale,;t t
| s,@CXX@,g++,;t t
| s,@CXXFLAGS@,-g -O2,;t t
| s,@LDFLAGS@,,;t t
| s,@CPPFLAGS@,,;t t
| s,@ac_ct_CXX@,g++,;t t
| s,@am__include@,include,;t t
| s,@am__quote@,,;t t
| s,@CXXDEPMODE@,depmode=gcc,;t t
| s,@CC@,gcc,;t t
| s,@CFLAGS@,-g -O2,;t t
| s,@ac_ct_CC@,gcc,;t t
| s,@CCDEPMODE@,depmode=gcc,;t t
| s,@CPP@,gcc -E,;t t
| s,@LN_S@,ln -s,;t t
| s,@ECHO@,/usr/ucb/echo,;t t
| s,@RANLIB@,ranlib,;t t
| s,@ac_ct_RANLIB@,ranlib,;t t
| s,@STRIP@,strip,;t t
| s,@ac_ct_STRIP@,strip,;t t
| s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t



| s,@XML_I18N_MERGE_OAF_RULE@,\%.oaf : \%.oaf.in $(top_builddir)/xml-i18n-merge 
$(top_srcdir)/po/*.po\
|       $(top_builddir)/xml-i18n-merge -o $(top_srcdir)/po $< $*.oaf,;t t
| s,@XML_I18N_MERGE_SERVER_RULE@,\%.server : \%.server.in 
$(top_builddir)/xml-i18n-merge $(top_srcdir)/po/*.po\
|       $(top_builddir)/xml-i18n-merge -o $(top_srcdir)/po $< $*.server,;t t
| s,@XML_I18N_MERGE_KEYS_RULE@,\%.keys : \%.keys.in 
$(top_builddir)/xml-i18n-merge $(top_srcdir)/po/*.po\
|       $(top_builddir)/xml-i18n-merge -k $(top_srcdir)/po $< $*.keys,;t t
| s,@XML_I18N_MERGE_DESKTOP_RULE@,\%.desktop : \%.desktop.in 
$(top_builddir)/xml-i18n-merge $(top_srcdir)/po/*.po\
|       $(top_builddir)/xml-i18n-merge -d $(top_srcdir)/po $< $*.desktop,;t t
| s,@XML_I18N_MERGE_DIRECTORY_RULE@,\%.directory : \%.directory.in 
$(top_builddir)/xml-i18n-merge $(top_srcdir)/po/*.po\
|       $(top_builddir)/xml-i18n-merge -d $(top_srcdir)/po $< $*.directory,;t t
| s,@XML_I18N_MERGE_SOUNDLIST_RULE@,\%.soundlist : \%.soundlist.in 
$(top_builddir)/xml-i18n-merge $(top_srcdir)/po/*.po\
|       $(top_builddir)/xml-i18n-merge -d $(top_srcdir)/po $< $*.soundlist,;t t
| s,@XML_I18N_MERGE_PONG_RULE@,\%.pong : \%.pong.in 
$(top_builddir)/xml-i18n-merge $(top_srcdir)/po/*.po\
|       $(top_builddir)/xml-i18n-merge -x $(top_srcdir)/po $< $*.pong,;t t
| s,@XML_I18N_MERGE_XML_RULE@,\%.xml : \%.xml.in $(top_builddir)/xml-i18n-merge 
$(top_srcdir)/po/*.po\
|       $(top_builddir)/xml-i18n-merge -x $(top_srcdir)/po $< $*.xml,;t t


The section above is broken.  Newlines are not portable with sed.
This is a known limitation for AC_SUBST.  It is configure.in which is
improperly built.  I'm very surprised it ever worked portably,
whatever the Autoconf version.






| s,@XML_I18N_EXTRACT@,$(top_builddir)/xml-i18n-extract,;t t
| s,@XML_I18N_MERGE@,$(top_builddir)/xml-i18n-merge,;t t
| s,@XML_I18N_UPDATE@,$(top_builddir)/xml-i18n-update,;t t
| s,@XML_I18N_TOOLS_PERL@,/bin/perl,;t t
| s,@ALLOCA@,,;t t
| s,@USE_NLS@,yes,;t t
| s,@MSGFMT@,/bin/msgfmt,;t t
| s,@GMSGFMT@,/bin/msgfmt,;t t
| s,@XGETTEXT@,/usr/local/bin/xgettext,;t t
| s,@GENCAT@,,;t t
| s,@USE_INCLUDED_LIBINTL@,no,;t t
| s,@CATALOGS@, de.mo en_GB.mo,;t t
| s,@CATOBJEXT@,.mo,;t t
| s,@DATADIRNAME@,lib,;t t
| s,@GMOFILES@, de.gmo en_GB.gmo,;t t
| s,@INSTOBJEXT@,.mo,;t t
| s,@INTLDEPS@,,;t t
| s,@INTLLIBS@,,;t t
| s,@INTLOBJS@,,;t t
| s,@POFILES@, de.po en_GB.po,;t t
| s,@POSUB@,po,;t t
| s,@INCLUDE_LOCALE_H@,#include <locale.h>,;t t
| s,@GT_NO@,,;t t
| s,@GT_YES@,#YES#,;t t
| s,@MKINSTALLDIRS@,./mkinstalldirs,;t t
| s,@l@,,;t t
| s,@GLIB_CONFIG@,/opt/BKgnome/bin/glib-config,;t t
| s,@GLIB_CFLAGS@,-I/opt/BKgnome/include/glib-1.2 
-I/opt/BKgnome/lib/glib/include,;t t
| s,@GLIB_LIBS@,-L/opt/BKgnome/lib -lgmodule -lglib,;t t
| s,@XML2_CONFIG@,/opt/BKgnome/bin/xml2-config,;t t
| s,@XML_CFLAGS@,-I/opt/BKgnome/include/libxml -I/opt/BKgnome/include,;t t
| s,@XML_LIBS@,-L/opt/BKgnome/lib -R/opt/BKgnome/lib -lxml2 -lz -L/lib -lm 
-lsocket -lnsl,;t t
| s,@GITK_CONFIG@,/opt/gitk/bin/gitk-config,;t t
| s,@GITK_CFLAGS@,-I/opt/gitk/include/libgitk -I/opt/gitk/include,;t t
| s,@GITK_LIBS@,-L/opt/gitk/lib -lgitk -lm,;t t
| CEOF
| 
|   # Split the substitutions into bite-sized pieces for seds with
|   # small command number limits, like on Digital OSF/1 and HP-UX.
|   ac_max_sed_lines=48
|   ac_sed_frag=1 # Number of current file.
|   ac_beg=1 # First line for current file.
|   ac_end=$ac_max_sed_lines # Line after last line for current file.
|   ac_more_lines=:
|   ac_sed_cmds=
|   while $ac_more_lines; do
|     if test $ac_beg -gt 1; then
|       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
|     else
|       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
|     fi
|     if test ! -s $tmp/subs.frag; then
|       ac_more_lines=false
|     else
|       # The purpose of the label and of the branching condition is to
|       # speed up the sed processing (if there are no `@' at all, there
|       # is no need to browse any of the substitutions).
|       # These are the two extra sed commands mentioned above.
|       (echo ':t
|   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) 
>$tmp/subs-$ac_sed_frag.sed
|       if test -z "$ac_sed_cmds"; then
|       ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
|       else
|       ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
|       fi
|       ac_sed_frag=`expr $ac_sed_frag + 1`
|       ac_beg=$ac_end
|       ac_end=`expr $ac_end + $ac_max_sed_lines`
|     fi
|   done
|   if test -z "$ac_sed_cmds"; then
|     ac_sed_cmds=cat
|   fi
| fi # test -n "$CONFIG_FILES"
| 
| for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
|   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
|   case $ac_file in
|   - | *:- | *:-:* ) # input from stdin
|         cat >$tmp/stdin
|         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
|         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
|   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
|         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
|   * )   ac_file_in=$ac_file.in ;;
|   esac
| 
|   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
|   ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
|          X"$ac_file" : 'X\(//\)[^/]' \| \
|          X"$ac_file" : 'X\(//\)$' \| \
|          X"$ac_file" : 'X\(/\)' \| \
|          .     : '\(.\)' 2>/dev/null ||
| echo X"$ac_file" |
|     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
|         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
|         /^X\(\/\/\)$/{ s//\1/; q; }
|         /^X\(\/\).*/{ s//\1/; q; }
|         s/.*/./; q'`
|   if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
|     { case "$ac_dir" in
|   [\\/]* | ?:[\\/]* ) as_incr_dir=;;
|   *)                      as_incr_dir=.;;
| esac
| as_dummy="$ac_dir"
| for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
|   case $as_mkdir_dir in
|     # Skip DOS drivespec
|     ?:) as_incr_dir=$as_mkdir_dir ;;
|     *)
|       as_incr_dir=$as_incr_dir/$as_mkdir_dir
|       test -d "$as_incr_dir" || mkdir "$as_incr_dir"
|     ;;
|   esac
| done; }
| 
|     ac_dir_suffix="/`echo $ac_dir|sed 's,^\./,,'`"
|     # A "../" for each directory in $ac_dir_suffix.
|     ac_dots=`echo "$ac_dir_suffix" | sed 's,/[^/]*,../,g'`
|   else
|     ac_dir_suffix= ac_dots=
|   fi
| 
|   case $srcdir in
|   .)  ac_srcdir=.
|       if test -z "$ac_dots"; then
|          ac_top_srcdir=.
|       else
|          ac_top_srcdir=`echo $ac_dots | sed 's,/$,,'`
|       fi ;;
|   [\\/]* | ?:[\\/]* )
|       ac_srcdir=$srcdir$ac_dir_suffix;
|       ac_top_srcdir=$srcdir ;;
|   *) # Relative path.
|     ac_srcdir=$ac_dots$srcdir$ac_dir_suffix
|     ac_top_srcdir=$ac_dots$srcdir ;;
|   esac
| 
|   case $INSTALL in
|   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
|   *) ac_INSTALL=$ac_dots$INSTALL ;;
|   esac
| 
|   if test x"$ac_file" != x-; then
|     { echo "$as_me:11131: creating $ac_file" >&5
| echo "$as_me: creating $ac_file" >&6;}
|     rm -f "$ac_file"
|   fi
|   # Let's still pretend it is `configure' which instantiates (i.e., don't
|   # use $as_me), people would be surprised to read:
|   #    /* config.h.  Generated automatically by config.status.  */
|   configure_input="Generated automatically from `echo $ac_file_in |
|                                                  sed 's,.*/,,'` by configure."
| 
|   # First look for the input files in the build tree, otherwise in the
|   # src tree.
|   ac_file_inputs=`IFS=:
|     for f in $ac_file_in; do
|       case $f in
|       -) echo $tmp/stdin ;;
|       [\\/$]*)
|          # Absolute (can't be DOS-style, as IFS=:)
|          test -f "$f" || { { echo "$as_me:11149: error: cannot find input 
file: $f" >&5
| echo "$as_me: error: cannot find input file: $f" >&2;}
|    { (exit 1); exit 1; }; }
|          echo $f;;
|       *) # Relative
|          if test -f "$f"; then
|            # Build tree
|            echo $f
|          elif test -f "$srcdir/$f"; then
|            # Source tree
|            echo $srcdir/$f
|          else
|            # /dev/null tree
|            { { echo "$as_me:11162: error: cannot find input file: $f" >&5
| echo "$as_me: error: cannot find input file: $f" >&2;}
|    { (exit 1); exit 1; }; }
|          fi;;
|       esac
|     done` || { (exit 1); exit 1; }
|   sed "/^[    ]*VPATH[        ]*=/{
| s/:*\$(srcdir):*/:/;
| s/:*\${srcdir}:*/:/;
| s/:address@hidden@:*/:/;
| s/^\([^=]*=[  ]*\):*/\1/;
| s/:*$//;
| s/^[^=]*=[    ]*$//;
| }
| 
| :t
| /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
| s,@configure_input@,$configure_input,;t t
| s,@srcdir@,$ac_srcdir,;t t
| s,@top_srcdir@,$ac_top_srcdir,;t t
| s,@INSTALL@,$ac_INSTALL,;t t
| " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
|   rm -f $tmp/stdin
|   if test x"$ac_file" != x-; then
|     mv $tmp/out $ac_file
|   else
|     cat $tmp/out
|     rm -f $tmp/out
|   fi
| 
| done
| 
| #
| # CONFIG_HEADER section.
| #
| 
| # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
| # NAME is the cpp macro being defined and VALUE is the value it is being 
given.
| #
| # ac_d sets the value in "#define NAME VALUE" lines.
| ac_dA='s,^\([         ]*\)#\([        ]*define[       ][      ]*\)'
| ac_dB='[      ].*$,\1#\2'
| ac_dC=' '
| ac_dD=',;t'
| # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
| ac_uA='s,^\([         ]*\)#\([        ]*\)undef\([    ][      ]*\)'
| ac_uB='$,\1#\2define\3'
| ac_uC=' '
| ac_uD=',;t'
| 
| for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
|   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
|   case $ac_file in
|   - | *:- | *:-:* ) # input from stdin
|         cat >$tmp/stdin
|         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
|         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
|   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
|         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
|   * )   ac_file_in=$ac_file.in ;;
|   esac
| 
|   test x"$ac_file" != x- && { echo "$as_me:11223: creating $ac_file" >&5
| echo "$as_me: creating $ac_file" >&6;}
| 
|   # First look for the input files in the build tree, otherwise in the
|   # src tree.
|   ac_file_inputs=`IFS=:
|     for f in $ac_file_in; do
|       case $f in
|       -) echo $tmp/stdin ;;
|       [\\/$]*)
|          # Absolute (can't be DOS-style, as IFS=:)
|          test -f "$f" || { { echo "$as_me:11234: error: cannot find input 
file: $f" >&5
| echo "$as_me: error: cannot find input file: $f" >&2;}
|    { (exit 1); exit 1; }; }
|          echo $f;;
|       *) # Relative
|          if test -f "$f"; then
|            # Build tree
|            echo $f
|          elif test -f "$srcdir/$f"; then
|            # Source tree
|            echo $srcdir/$f
|          else
|            # /dev/null tree
|            { { echo "$as_me:11247: error: cannot find input file: $f" >&5
| echo "$as_me: error: cannot find input file: $f" >&2;}
|    { (exit 1); exit 1; }; }
|          fi;;
|       esac
|     done` || { (exit 1); exit 1; }
|   # Remove the trailing spaces.
|   sed 's/[    ]*$//' $ac_file_inputs >$tmp/in
| 
|   # Handle all the #define templates only if necessary.
|   if egrep "^[        ]*#[    ]*define" $tmp/in >/dev/null; then
|   # If there are no defines, we may have an empty if/fi
|   :
|   cat >$tmp/defines.sed <<CEOF
| /^[   ]*#[    ]*define/!b
| t clr
| : clr
| ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"gitk-examples"${ac_dD}
| ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.0.1"${ac_dD}
| ${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
| ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_ALLOCA_H${ac_dB}HAVE_ALLOCA_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_ALLOCA${ac_dB}HAVE_ALLOCA${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_GETPAGESIZE${ac_dB}HAVE_GETPAGESIZE${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_MMAP${ac_dB}HAVE_MMAP${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_LIMITS_H${ac_dB}HAVE_LIMITS_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_LOCALE_H${ac_dB}HAVE_LOCALE_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_NL_TYPES_H${ac_dB}HAVE_NL_TYPES_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_MALLOC_H${ac_dB}HAVE_MALLOC_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_SYS_PARAM_H${ac_dB}HAVE_SYS_PARAM_H${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_GETCWD${ac_dB}HAVE_GETCWD${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_MUNMAP${ac_dB}HAVE_MUNMAP${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_PUTENV${ac_dB}HAVE_PUTENV${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_SETLOCALE${ac_dB}HAVE_SETLOCALE${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_STRCHR${ac_dB}HAVE_STRCHR${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_STRCASECMP${ac_dB}HAVE_STRCASECMP${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_STRDUP${ac_dB}HAVE_STRDUP${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_LC_MESSAGES${ac_dB}HAVE_LC_MESSAGES${ac_dC}1${ac_dD}
| ${ac_dA}ENABLE_NLS${ac_dB}ENABLE_NLS${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_GETTEXT${ac_dB}HAVE_GETTEXT${ac_dC}1${ac_dD}
| ${ac_dA}HAVE_DCGETTEXT${ac_dB}HAVE_DCGETTEXT${ac_dC}1${ac_dD}
| ${ac_dA}APP_DEBUG${ac_dB}APP_DEBUG${ac_dC}1${ac_dD}
| ${ac_dA}USE_ANSI_COLOR${ac_dB}USE_ANSI_COLOR${ac_dC}1${ac_dD}
| CEOF
|   sed -f $tmp/defines.sed $tmp/in >$tmp/out
|   rm -f $tmp/in
|   mv $tmp/out $tmp/in
| 
|   cat >$tmp/defines.sed <<CEOF
| /^[   ]*#[    ]*define/!b
| t clr
| : clr
| ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
| CEOF
|   sed -f $tmp/defines.sed $tmp/in >$tmp/out
|   rm -f $tmp/in
|   mv $tmp/out $tmp/in
| 
|   fi # egrep
| 
|   # Handle all the #undef templates
|   cat >$tmp/undefs.sed <<CEOF
| /^[   ]*#[    ]*undef/!b
| t clr
| : clr
| ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"gitk-examples"${ac_uD}
| ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.0.1"${ac_uD}
| ${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
| ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_ALLOCA_H${ac_uB}HAVE_ALLOCA_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_ALLOCA${ac_uB}HAVE_ALLOCA${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_GETPAGESIZE${ac_uB}HAVE_GETPAGESIZE${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_MMAP${ac_uB}HAVE_MMAP${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_LIMITS_H${ac_uB}HAVE_LIMITS_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_LOCALE_H${ac_uB}HAVE_LOCALE_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_NL_TYPES_H${ac_uB}HAVE_NL_TYPES_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_MALLOC_H${ac_uB}HAVE_MALLOC_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_SYS_PARAM_H${ac_uB}HAVE_SYS_PARAM_H${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_GETCWD${ac_uB}HAVE_GETCWD${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_MUNMAP${ac_uB}HAVE_MUNMAP${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_PUTENV${ac_uB}HAVE_PUTENV${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_SETLOCALE${ac_uB}HAVE_SETLOCALE${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_STRCHR${ac_uB}HAVE_STRCHR${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_STRCASECMP${ac_uB}HAVE_STRCASECMP${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_STRDUP${ac_uB}HAVE_STRDUP${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_LC_MESSAGES${ac_uB}HAVE_LC_MESSAGES${ac_uC}1${ac_uD}
| ${ac_uA}ENABLE_NLS${ac_uB}ENABLE_NLS${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_GETTEXT${ac_uB}HAVE_GETTEXT${ac_uC}1${ac_uD}
| ${ac_uA}HAVE_DCGETTEXT${ac_uB}HAVE_DCGETTEXT${ac_uC}1${ac_uD}
| ${ac_uA}APP_DEBUG${ac_uB}APP_DEBUG${ac_uC}1${ac_uD}
| ${ac_uA}USE_ANSI_COLOR${ac_uB}USE_ANSI_COLOR${ac_uC}1${ac_uD}
| CEOF
|   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
|   rm -f $tmp/in
|   mv $tmp/out $tmp/in
| 
|   cat >$tmp/undefs.sed <<CEOF
| /^[   ]*#[    ]*undef/!b
| t clr
| : clr
| ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
| s,^[  ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
| CEOF
|   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
|   rm -f $tmp/in
|   mv $tmp/out $tmp/in
| 
|   # Let's still pretend it is `configure' which instantiates (i.e., don't
|   # use $as_me), people would be surprised to read:
|   #    /* config.h.  Generated automatically by config.status.  */
|   if test x"$ac_file" = x-; then
|     echo "/* Generated automatically by configure.  */" >$tmp/config.h
|   else
|     echo "/* $ac_file.  Generated automatically by configure.  */" 
>$tmp/config.h
|   fi
|   cat $tmp/in >>$tmp/config.h
|   rm -f $tmp/in
|   if test x"$ac_file" != x-; then
|     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
|       { echo "$as_me:11364: $ac_file is unchanged" >&5
| echo "$as_me: $ac_file is unchanged" >&6;}
|     else
|       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
|          X"$ac_file" : 'X\(//\)[^/]' \| \
|          X"$ac_file" : 'X\(//\)$' \| \
|          X"$ac_file" : 'X\(/\)' \| \
|          .     : '\(.\)' 2>/dev/null ||
| echo X"$ac_file" |
|     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
|         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
|         /^X\(\/\/\)$/{ s//\1/; q; }
|         /^X\(\/\).*/{ s//\1/; q; }
|         s/.*/./; q'`
|       if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
|         { case "$ac_dir" in
|   [\\/]* | ?:[\\/]* ) as_incr_dir=;;
|   *)                      as_incr_dir=.;;
| esac
| as_dummy="$ac_dir"
| for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
|   case $as_mkdir_dir in
|     # Skip DOS drivespec
|     ?:) as_incr_dir=$as_mkdir_dir ;;
|     *)
|       as_incr_dir=$as_incr_dir/$as_mkdir_dir
|       test -d "$as_incr_dir" || mkdir "$as_incr_dir"
|     ;;
|   esac
| done; }
| 
|       fi
|       rm -f $ac_file
|       mv $tmp/config.h $ac_file
|     fi
|   else
|     cat $tmp/config.h
|     rm -f $tmp/config.h
|   fi
|   # Run the commands associated with the file.
|   case $ac_file in
|     config.h ) # update the timestamp
| echo timestamp >"./stamp-h1"
|  ;;
|   esac
| done
| 
| #
| # CONFIG_LINKS section.
| #
| 
| for ac_file in : $CONFIG_LINKS; do test "x$ac_file" = x: && continue
|   ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
|   ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
| 
|   { echo "$as_me:11421: linking $srcdir/$ac_source to $ac_dest" >&5
| echo "$as_me: linking $srcdir/$ac_source to $ac_dest" >&6;}
| 
|   if test ! -r $srcdir/$ac_source; then
|     { { echo "$as_me:11425: error: $srcdir/$ac_source: File not found" >&5
| echo "$as_me: error: $srcdir/$ac_source: File not found" >&2;}
|    { (exit 1); exit 1; }; }
|   fi
|   rm -f $ac_dest
| 
|   # Make relative symlinks.
|   ac_dest_dir=`$as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
|          X"$ac_dest" : 'X\(//\)[^/]' \| \
|          X"$ac_dest" : 'X\(//\)$' \| \
|          X"$ac_dest" : 'X\(/\)' \| \
|          .     : '\(.\)' 2>/dev/null ||
| echo X"$ac_dest" |
|     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
|         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
|         /^X\(\/\/\)$/{ s//\1/; q; }
|         /^X\(\/\).*/{ s//\1/; q; }
|         s/.*/./; q'`
|   if test "$ac_dest_dir" != "$ac_dest" && test "$ac_dest_dir" != .; then
|     { case "$ac_dest_dir" in
|   [\\/]* | ?:[\\/]* ) as_incr_dir=;;
|   *)                      as_incr_dir=.;;
| esac
| as_dummy="$ac_dest_dir"
| for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
|   case $as_mkdir_dir in
|     # Skip DOS drivespec
|     ?:) as_incr_dir=$as_mkdir_dir ;;
|     *)
|       as_incr_dir=$as_incr_dir/$as_mkdir_dir
|       test -d "$as_incr_dir" || mkdir "$as_incr_dir"
|     ;;
|   esac
| done; }
| 
|     ac_dest_dir_suffix="/`echo $ac_dest_dir|sed 's,^\./,,'`"
|     # A "../" for each directory in $ac_dest_dir_suffix.
|     ac_dots=`echo $ac_dest_dir_suffix|sed 's,/[^/]*,../,g'`
|   else
|     ac_dest_dir_suffix= ac_dots=
|   fi
| 
|   case $srcdir in
|   [\\/$]* | ?:[\\/]* ) ac_rel_source=$srcdir/$ac_source ;;
|       *) ac_rel_source=$ac_dots$srcdir/$ac_source ;;
|   esac
| 
|   # Make a symlink if possible; otherwise try a hard link.
|   ln -s $ac_rel_source $ac_dest 2>/dev/null ||
|     ln $srcdir/$ac_source $ac_dest ||
|     { { echo "$as_me:11475: error: cannot link $ac_dest to 
$srcdir/$ac_source" >&5
| echo "$as_me: error: cannot link $ac_dest to $srcdir/$ac_source" >&2;}
|    { (exit 1); exit 1; }; }
| done
| 
| #
| # CONFIG_COMMANDS section.
| #
| for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
|   ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
|   ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
| 
|   case $ac_dest in
|     default-1 )
| test x"$AMDEP_TRUE" != x"" ||
| for mf in $CONFIG_FILES; do
|   case "$mf" in
|   Makefile) dirpart=.;;
|   */Makefile) dirpart=`echo "$mf" | sed -e 's|/[^/]*$||'`;;
|   *) continue;;
|   esac
|   grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
|   # Extract the definition of DEP_FILES from the Makefile without
|   # running `make'.
|   DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
|   test -z "$DEPDIR" && continue
|   # When using ansi2knr, U may be empty or an underscore; expand it
|   U=`sed -n -e '/^U = / s///p' < "$mf"`
|   test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
|   # We invoke sed twice because it is the simplest approach to
|   # changing $(DEPDIR) to its actual value in the expansion.
|   for file in `sed -n -e '
|     /^DEP_FILES = .*\\\\$/ {
|       s/^DEP_FILES = //
|       :loop
|       s/\\\\$//
|       p
|       n
|       /\\\\$/ b loop
|       p
|     }
|     /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
|        sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
|     # Make sure the directory exists.
|     test -f "$dirpart/$file" && continue
|     fdir=`echo "$file" | sed -e 's|/[^/]*$||'`
|     $ac_aux_dir/mkinstalldirs "$dirpart/$fdir" > /dev/null 2>&1
|     # echo "creating $dirpart/$file"
|     echo '# dummy' > "$dirpart/$file"
|   done
| done
|  ;;
|     default-2 )
| sed -e "s:@XML_I18N_TOOLS_PERL@:${XML_I18N_TOOLS_PERL}:;" < 
${srcdir}/xml-i18n-extract.in > xml-i18n-extract;
| chmod ugo+x xml-i18n-extract;
| chmod u+w xml-i18n-extract;
| 
| sed -e "s:@XML_I18N_TOOLS_PERL@:${XML_I18N_TOOLS_PERL}:;" < 
${srcdir}/xml-i18n-merge.in > xml-i18n-merge;
| chmod ugo+x xml-i18n-merge;
| chmod u+w xml-i18n-merge;
| 
| sed -e "s:@XML_I18N_TOOLS_PERL@:${XML_I18N_TOOLS_PERL}:;" < 
${srcdir}/xml-i18n-update.in > xml-i18n-update;
| chmod ugo+x xml-i18n-update;
| chmod u+w xml-i18n-update;
|  ;;
|     default-3 ) case "$CONFIG_FILES" in *po/Makefile.in*)
|         sed -e "/POTFILES =/r po/POTFILES" po/Makefile.in > po/Makefile
|       esac ;;
|   esac
| done
| 
| { (exit 0); exit 0; }



reply via email to

[Prev in Thread] Current Thread [Next in Thread]